Bug 531348 - KMS:R600-R700 results in strange artifacts in KDE
Summary: KMS:R600-R700 results in strange artifacts in KDE
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 12
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_R600/mM
: 536779 537546 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-27 19:57 UTC by Julian Aloofi
Modified: 2018-04-11 08:07 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-07 17:35:52 UTC


Attachments (Terms of Use)
dmesg with KMS enabled (46.57 KB, text/plain)
2009-10-27 19:59 UTC, Julian Aloofi
no flags Details
Xorg.0.log with KMS enabled (33.93 KB, text/plain)
2009-10-27 20:00 UTC, Julian Aloofi
no flags Details
Xorg.0.log with KMS disabled (43.70 KB, text/plain)
2009-10-27 20:01 UTC, Julian Aloofi
no flags Details
Smolt profile (6.91 KB, text/plain)
2009-10-27 20:10 UTC, Julian Aloofi
no flags Details
Screenshot showing rendering errors (839.86 KB, image/png)
2009-11-26 19:51 UTC, Maxim Burgerhout
no flags Details
Kernel crash after KDM login (73.55 KB, text/plain)
2010-01-31 18:24 UTC, Victor
no flags Details

Description Julian Aloofi 2009-10-27 19:57:45 UTC
Description of problem:
When booting from the Fedora 12 KDE Beta Live CD with KMS enabled it results in strange artifacts and wrong displaying of colors which can be seen in the attached screenshots. When disabling KMS with the nomodeset option, everything is displayed as normal.
The KDM splash is displayed without problems.
This problem does only occur in KDE an Qt applications, but not in Gtk applications (like the nm-applet) or the GNOME desktop.


How reproducible:
Boot Fedora 12 Beta Live CD with KDE and KMS enabled.


Steps to Reproduce:
1. Insert disc
2. Boot from CD
3. Try to use the desktop.
  

Actual results:
Strange artifacts and colors


Expected results:
A normal KDE desktop


Additional info:
-I am using the radeon driver with an ATI Mobility Radeon HD 2600 XT

- Restarting the X-Server, logging in again or switching to ttys and back to X does not help

-The attached logs with the .normal suffix are the ones with KMS enabled, the ones with .nomodeset have KMS disabled

Comment 1 Julian Aloofi 2009-10-27 19:59:56 UTC
Created attachment 366335 [details]
dmesg with KMS enabled

Comment 2 Julian Aloofi 2009-10-27 20:00:28 UTC
Created attachment 366336 [details]
Xorg.0.log with KMS enabled

Comment 3 Julian Aloofi 2009-10-27 20:01:01 UTC
Created attachment 366337 [details]
Xorg.0.log with KMS disabled

Comment 4 Julian Aloofi 2009-10-27 20:10:21 UTC
Created attachment 366338 [details]
Smolt profile

Comment 5 Kevin Kofler 2009-10-27 20:28:11 UTC
Clearly a driver bug, reassigning.

Comment 6 Jérôme Glisse 2009-11-03 19:49:19 UTC
Do you still have this issue with a more recent kernel and xorg-x11-drv-ati ?

Comment 7 Julian Aloofi 2009-11-04 17:02:46 UTC
I tried it with the latest Rawhide nightly build (kde-i386-20091103.16.iso) and nothing has changed as far as I can see.

I also uploaded the screenshots to this directory:
http://julian.fedorapeople.org/foo/reports/531348/
They were all taken without changing any options, always using the default "Air" theme.

Comment 8 Matěj Cepl 2009-11-05 17:19:32 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 9 Julian Aloofi 2009-11-06 13:09:28 UTC
This was tested with the Rawhide nightly build from 3rd November (kde-i386-20091103.16.iso)

Comment 10 Michal Hlavinka 2009-11-06 14:43:46 UTC
Jerome:

Hi, I've added myself to cc-list because I'm facing the same problem, but you've recently changed the summary to match only HD2600.

I have HD 4570 card.

1) should I file another bug? or this card (r700) is not expected to work yet?

2) is output of rendercheck useful for these kind of problems?

Comment 11 Jérôme Glisse 2009-11-06 15:47:10 UTC
Michal, i will test again KDE on R600/R700 hw see if i can reproduce, i generalized bug title because i believe you are experiencing same bug as Julian.

Comment 12 Matěj Cepl 2009-11-08 10:36:28 UTC
There is nothing to triage here.

Switching to ASSIGNED so that developers have responsibility to do whatever they want to do with it.

Comment 13 Bug Zapper 2009-11-16 14:27:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Jérôme Glisse 2009-11-17 18:35:15 UTC
*** Bug 537546 has been marked as a duplicate of this bug. ***

Comment 15 Jérôme Glisse 2009-11-17 18:36:11 UTC
*** Bug 536779 has been marked as a duplicate of this bug. ***

Comment 16 Maxim Burgerhout 2009-11-19 19:33:16 UTC
Having same issue on HD3470. No problems in Gnome whatsoever, but artifacts in KDE. I'll happily test experimental builds of Qt, kernel, mesa-dri-drivers-experimental or KDE rpms if that is needed.

Comment 17 Andre Eliatamby 2009-11-23 07:26:27 UTC
Is there any further information needed to help squash this bug?

Comment 18 Jérôme Glisse 2009-11-23 12:01:36 UTC
*** Bug 540050 has been marked as a duplicate of this bug. ***

Comment 19 Jérôme Glisse 2009-11-26 15:32:27 UTC
Does kernel -149 or newer helps ?

Comment 20 Maxim Burgerhout 2009-11-26 19:51:42 UTC
Created attachment 374060 [details]
Screenshot showing rendering errors

Example of rendering errors w/ kernel -151

Comment 21 Maxim Burgerhout 2009-11-26 19:55:01 UTC
Forgot to add a proper comment an the attachment screen...

I tested with -151 and see improvement, but not (yet) perfection. The weird box effects - shown in comment #7 - are  gone, but in it' s place are lines trailing a window when dragging. See the screenshot linked in #20 for an example.

The previewer widget shown in the screenshot shows what seems to be a rendering error too (the box around the icon), but this is also there when KMS is disabled. I don't think it is related to this bug.

Comment 22 Julian Aloofi 2009-12-11 18:42:27 UTC
I can confirm comment #21 , same here.
Displaying without desktop effects seems to work pretty well now though.
Everything gets displayed correctly with desktop effects disabled as far as I can see (a minor glitch in XChat was the only thing a noticed).

Comment 23 Julian Aloofi 2009-12-31 17:52:53 UTC
I retested with a rawhide nightly build (kde-i386-20091227.19.iso) and it is all working flawlessly now with KMS enabled. Problem fixed at least for me (Radeon HD 2600)

Comment 24 Mark Williamson 2010-01-03 03:45:22 UTC
I saw the behaviour resembling that pictured in #7 when I first installed F12 on my machine.  When I installed mesa-dri-drivers-experimental and enabled compositing, those problems were largely fixed (though KDM still shows incorrect colouring in menus, presumably because it isn't running under compositing...).

However, with compositing enabled I see the glitches when dragging Kwin windows, similar to those that are illustrated in #20.

I suggest we might actually be seeing two different bugs here, so it might be useful for reports to note whether they're using the experimental DRI drivers package and / or compositing enabled under KWin (or if using another WM).

FWIW I'm running with KMS enabled on kernel 2.6.31.9-174.fc12.x86_64

Comment 25 Maxim Burgerhout 2010-01-03 07:42:12 UTC
Mark, considering the title, this bug should be about rendering problems in KDE with KMS *enabled*. I am assuming everyone reporting here has KMS enabled for what they are describing.

Comment 26 Michal Hlavinka 2010-01-04 13:36:14 UTC
Afaik Mark is talking about composition (3d drivers - mesa-dri-drivers-experimental) and not about KMS. Also this is known that when compositing is used, there are less (or none for happy users) graphic problems.

Comment 27 Mark Williamson 2010-01-05 16:21:18 UTC
Although I did confuse things by redundantly mentioning I was using KMS enabled, my main point was indeed that some people here seem to be referring to bugs I see without compositing whilst others are showing bugs I only see with compositing.

I think the graphical glitches left by moving windows are likely to be a different class of bug, only seen under compositing.  In which case I wonder if they'd be better reported under mesa-dri-drivers-experimental or kwin so that they reach the right maintainers?

I've done some more investigation into the artefacts left when moving windows.  Having shadows switched on reduces the appearance of these artefacts enormously.  Switching on wobbly windows reduces them even more.  I've done this for a workaround (and it looks cool) but obviously it would be nice to resolve this as it's really the only troublesome glitch I'm now seeing in the (admittedly experimental) 3D support for desktop use (3D games often crash the X server but that's definitely unrelated to this bug report!).

Comment 28 Bogdan Dumitrache 2010-01-18 23:37:22 UTC
Same thing happens to mee, too. I have an Toshiba A300.

#lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
01:00.0 VGA compatible controller: ATI Technologies Inc Mobility Radeon HD 3400 Series
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)
03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
06:06.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
06:06.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
06:06.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
06:06.3 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 12)


Stock xorg.conf, desktop effect working only with mesa-dri-drivers-experimental

Comment 29 Grégoire Paris 2010-01-20 21:17:12 UTC
I updated to the latest driver today (version 7.7-2)
The bugs seems completely fixed, the better test case I found is using the gimp (more precisely the cutter tool). It works perfectly.
Thank you!

Comment 30 Maxim Burgerhout 2010-01-22 16:13:33 UTC
Confirmed: Artifacts fixed. The fact that my laptop now crashed every other minute is another bug, I suppose :P

Comment 31 Benjamin Bellec 2010-01-30 10:12:00 UTC
Fixed for me too. I have installed a fresh F12+updates and it's OK.

Comment 32 Victor 2010-01-31 18:23:05 UTC
Not working for me. The screen freezes after login in kdm. Kernel shows a bug handling NULL pointer defererence.

ATI Technologies Inc Mobility Radeon HD 3650
Kernel 2.6.31.12-174.2.3.fc12.x86_64
mesa-dri-drivers-experimental-7.7-3.fc12.x86_64
mesa-dri-drivers-7.7-3.fc12.x86_64
xorg-x11-drv-ati-6.13.0-0.20.20091221git4b05c47ac.fc12.x86_64
xorg-x11-server-Xorg-1.7.4-1.fc12.x86_64

Comment 33 Victor 2010-01-31 18:24:39 UTC
Created attachment 387865 [details]
Kernel crash after KDM login

Kernel crash after KDM login

Comment 34 Michal Hlavinka 2010-02-08 10:23:21 UTC
seems to be fixed (or at least significantly improved) for me (no crashes so far), but it's broken again when I use kernel 2.6.32.7-37.fc12 from updates-testing. Is it going to be broken with every new kernel or is it just a coincidence some problems are (more) visible with one kernel than with another one?

Comment 35 Jérôme Glisse 2010-02-09 09:48:15 UTC
Most likely all the fixes didn't make their way into 2.6.32 ...

Comment 36 Bogdan Dumitrache 2010-02-10 13:11:24 UTC
Is there any way I could download a Live CD that contains the updated packages? I want to try if it works before reinstalling.

10q

Comment 37 Julian Aloofi 2010-02-10 14:09:02 UTC
(In reply to comment #36)
> Is there any way I could download a Live CD that contains the updated packages?
> I want to try if it works before reinstalling.

Yes, the latest packages can always be fetched with the Rawhide KDE nightly spin over here: http://alt.fedoraproject.org/pub/alt/nightly-composes/kde/

Just download the i386 (or x86_64) iso in that folder and try it. It will be the latest successful build.

Comment 38 Matěj Cepl 2010-02-10 15:05:00 UTC
(In reply to comment #37)
> Yes, the latest packages can always be fetched with the Rawhide KDE nightly
> spin over here: http://alt.fedoraproject.org/pub/alt/nightly-composes/kde/

Just to emphasize that this is Rawhide, so don't use it for production computers unless you REALLY know what you are doing. For testing it is fine, of course.

Comment 39 Victor 2010-02-17 20:23:49 UTC
Now its working fine for me. 

ATI Technologies Inc Mobility Radeon HD 3650
kernel-2.6.31.12-174.2.19.fc12.x86_64
xorg-x11-server-Xorg-1.7.4-6.fc12.x86_64
xorg-x11-drv-ati-6.13.0-0.20.20091221git4b05c47ac.fc12.x86_64
mesa-dri-drivers-experimental-7.7-3.fc12.x86_64
mesa-dri-drivers-7.7-3.fc12.x86_64

Kde 4.4.0 now from kde-testing. The other post was kde 4.3.x

Comment 40 Bogdan Dumitrache 2010-02-17 23:20:01 UTC
It's working for me too but with a little observation:

If I watch with a lot of attention I see some flickering on the display, like some pixels appearing and disappearing very fast, like a small noise.

Comment 41 Julian Aloofi 2010-07-07 15:35:01 UTC
I guess this can be closed now, or is anyone still experiencing this on F13?

Comment 42 Benjamin Bellec 2010-07-07 16:09:26 UTC
I think so too.

Comment 43 Bogdan Dumitrache 2010-07-07 17:07:06 UTC
Me is fixed :)

Comment 44 Jérôme Glisse 2010-07-07 17:35:52 UTC
Ok closing


Note You need to log in before you can comment on or make changes to this bug.